MarinerWrtParserInternal::State Struct Reference documentation

Public Member Functions | Public Attributes | List of all members
MarinerWrtParserInternal::State Struct Reference

Internal: the state of a MarinerWrtParser. More...

## Public Member Functions
| State ()
| constructor More...

## Public Attributes
std::vector< Zone > | m_zonesList
| the list of zone More...
std::map< uint32_t, int > | m_fileToZoneMap
| a map fileZoneId -> localZoneId More...
int | m_actPage
| the actual page More...
int | m_numPages
| the number of page of the final document More...
bool | m_firstPageFooter
| a flag to know if we have a first page footer More...
bool | m_hasOddEvenHeaderFooter
| a flag to know if we have odd/even header footer More...
int | m_headerHeight
| the header height if known More...
int | m_footerHeight
| the footer height if known More...

## Detailed Description

Internal: the state of a MarinerWrtParser.

## Constructor & Destructor Documentation

## § State()

MarinerWrtParserInternal::State::State | ( |  | ) |
| inline

constructor

## Member Data Documentation

## § m_actPage

int MarinerWrtParserInternal::State::m_actPage

the actual page

## § m_fileToZoneMap

std::map<uint32_t,int> MarinerWrtParserInternal::State::m_fileToZoneMap

a map fileZoneId -> localZoneId

## § m_firstPageFooter

bool MarinerWrtParserInternal::State::m_firstPageFooter

a flag to know if we have a first page footer

## § m_footerHeight

int MarinerWrtParserInternal::State::m_footerHeight

the footer height if known

## § m_hasOddEvenHeaderFooter

bool MarinerWrtParserInternal::State::m_hasOddEvenHeaderFooter

a flag to know if we have odd/even header footer

## § m_headerHeight

int MarinerWrtParserInternal::State::m_headerHeight

the header height if known

## § m_numPages

int MarinerWrtParserInternal::State::m_numPages

the number of page of the final document

## § m_zonesList

std::vector<Zone> MarinerWrtParserInternal::State::m_zonesList

the list of zone

The documentation for this struct was generated from the following file:

- MarinerWrtParser.cxx